Userpoint Scenario
Operations related to UserPoint Scenarios, the tracking of user progress through automations (marketing workflows). Scenarios are composed of nodes linked by edges, enabling automated user journeys triggered by events or segment entries. Each UserScenario tracks execution state including scenario_id, execution_id, node_id, timestamps (start_ts, node_start_ts, callback_ts), and active status as users progress through nodes like wait periods, email sends, segment additions, or custom actions.
Relevant documentation:
Find user scenario change logs by user point id and scenario id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/{user_identifier}/user_scenarios/scenario_id={scenario_id}/change_logs HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": [
{
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"datamart_id": "text",
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"matched_exit_condition_id": "text",
"scenario_id": "text",
"active": false,
"node_start_ts": 0
}
],
"count": 1,
"max_results": 1,
"total": 1,
"first_result": 1
}Find user scenarios by compartment id and user account id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/compartment_id={compartment_id}/user_account_id={user_account_id}/user_scenarios HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"total": 1,
"data": [
{
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
],
"status": "ok",
"max_results": 1,
"count": 1
}create user scenario exit by user account id and scenario id
Success response
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/user_points/compartment_id={compartment_id}/user_account_id={user_account_id}/user_scenarios/scenario_id={scenario_id}/scenario_exits/exit_condition_id={exit_condition_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Find user scenario change logs by compartment id, user account id and scenario id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/compartment_id={compartment_id}/user_account_id={user_account_id}/user_scenarios/scenario_id={scenario_id}/change_logs HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"count": 1,
"data": [
{
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"datamart_id": "text",
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"matched_exit_condition_id": "text",
"scenario_id": "text",
"active": false,
"node_start_ts": 0
}
],
"max_results": 1,
"first_result": 1,
"total": 1
}000Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/user_scenario_analytics HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 585
{
"dimensions": [
{
"name": "text"
}
],
"sample_factor": 0,
"metrics": [
{
"expression": "text",
"alias": "text",
"formatting_type": "INTEGER"
}
],
"dimension_filter_clauses": {
"operator": "OR",
"filters": [
{
"dimension_name": "text",
"case_sensitive": false,
"expressions": [
"text"
],
"operator": "EXACT",
"not": false
}
]
},
"order_by": {
"field_name": "text",
"sort_order": "ASCENDING"
},
"max_result": 0,
"metric_filter_clauses": {
"operator": "OR",
"filters": [
{
"metric_name": "text",
"not": false,
"operator": "EQUAL",
"comparison_value": "text"
}
]
},
"first_result": 0,
"date_ranges": [
{
"start_date": "text",
"end_date": "text",
"timezone": "text"
}
]
}{
"status": "ok",
"data": {
"items_per_page": 0,
"total_items": 0,
"columns_headers": [
"text"
],
"rows": [
[
{}
]
]
}
}create user scenario exit by user point id and scenario id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Success response
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/user_points/{user_identifier}/user_scenarios/scenario_id={scenario_id}/scenario_exits/exit_condition_id={exit_condition_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Find user scenarios by user point id scenario id and execution id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/{user_identifier}/user_scenarios/scenario_id={scenario_id}/execution_id={execution_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
}Find user scenario by compartment id user account id scenario id and execution id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/compartment_id={compartment_id}/user_account_id={user_account_id}/user_scenarios/scenario_id={scenario_id}/execution_id={execution_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
}Find user scenarios by user identifier and scenario id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/{user_identifier}/user_scenarios/scenario_id={scenario_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"first_result": 1,
"data": [
{
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
],
"status": "ok",
"max_results": 1,
"count": 1,
"total": 1
}Upsert user scenario by user point id and scenario id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$000falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/user_points/{user_identifier}/user_scenarios/scenario_id={scenario_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 190
{
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"node_id": "text",
"matched_exit_condition_id": "text",
"active": false
}{
"status": "ok",
"data": {
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
}Delete user scenario by user point id and scenario id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Success response
Error response
Error response
Error response
Error response
Error response
Error response
DELETE /v1/datamarts/{datamart_id}/user_points/{user_identifier}/user_scenarios/scenario_id={scenario_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok"
}Find user scenarios by user point id
User identifier in one of the following format : - a UUID (a.k.a userpoint id) - user_point_id=xxx where xxx is a UUID - compartment_id=xxx,user_account_id=yyy - user_agent_id=xxx - email_hash=xxx
^([0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|user_point_id=[0-9a-fA-F]{8}(-[0-9a-fA-F]{4}){3}-[0-9a-fA-F]{12}|compartment_id=\d+,user_account_id=\S+|user_account_id=\S+(,compartment_id=\d+)?|user_agent_id=\S+|email_hash=\S+)$Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/{user_identifier}/user_scenarios HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"count": 1,
"max_results": 1,
"data": [
{
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
],
"status": "ok",
"first_result": 1,
"total": 1
}Find user scenarios by compartment id user account id and scenario id
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/user_points/compartment_id={compartment_id}/user_account_id={user_account_id}/user_scenarios/scenario_id={scenario_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"max_results": 1,
"first_result": 1,
"count": 1,
"total": 1,
"status": "ok",
"data": [
{
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
]
}Upsert user scenario by compartment id user account id and scenario id
000falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
PUT /v1/datamarts/{datamart_id}/user_points/compartment_id={compartment_id}/user_account_id={user_account_id}/user_scenarios/scenario_id={scenario_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 190
{
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"node_id": "text",
"matched_exit_condition_id": "text",
"active": false
}{
"status": "ok",
"data": {
"start_ts": 0,
"execution_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_ts": 0,
"node_start_ts": 0,
"scenario_id": "text",
"user_point_id": "123e4567-e89b-12d3-a456-426614174000",
"node_id": "text",
"matched_exit_condition_id": "text",
"datamart_id": "text",
"active": false
}
}Last updated
Was this helpful?